https://bugs.gentoo.org/895706
https://github.com/GPUOpen-LibrariesAndSDKs/VulkanMemoryAllocator/commit/29d492b60c8
From: Adam Sawicki <adam.sawicki@amd.com>
Date: Thu, 19 Jan 2023 13:19:55 +0100
Subject: [PATCH] Added missing #include <cstdio>

For snprintf, for compatibility with GCC 13.
Fixes #312 - thanks @marxin !
--- a/thirdparty/vulkan/vk_mem_alloc.h
+++ b/thirdparty/vulkan/vk_mem_alloc.h
@@ -2614,6 +2614,10 @@ VMA_CALL_PRE void VMA_CALL_POST vmaFreeStatsString(
     #include <bit> // For std::popcount
 #endif
 
+#if VMA_STATS_STRING_ENABLED
+    #include <cstdio> // For snprintf
+#endif
+
 /*******************************************************************************
 CONFIGURATION SECTION
 
